Bug 832695 - broke openstack-nova?
broke openstack-nova?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 12:49 EDT by Mohammed Arafa
Modified: 2012-06-16 16:18 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 16:18:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2012-06-16 12:49:32 EDT
Description of problem:
was doing a yum install yesterday evening and it was broken and i KNOW it was working in the morning 

[root@notebook ~]# yum -y install openstack-utils openstack-nova openstack-glance openstack-keystone qpid-cpp-server
Loaded plugins: fastestmirror, langpacks, presto, protectbase, refresh-packagekit
Loading mirror speeds from cached hostfile
updates/metalink                                                                                                                                 |  16 kB     00:00     
 * fedora: mirror.its.dal.ca
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirror.us.leaseweb.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirror.us.leaseweb.net
 * updates: mirror.us.as6453.net
adobe-linux-i386                                                                                                                                 |  951 B     00:00     
rpmfusion-free-updates                                                                                                                           | 3.3 kB     00:00     
rpmfusion-nonfree-updates                                                                                                                        | 3.3 kB     00:00     
skype                                                                                                                                            | 1.2 kB     00:00     
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package openstack-glance.noarch 0:2012.1-4.fc17 will be installed
---> Package openstack-keystone.noarch 0:2012.1-1.fc17 will be installed
--> Processing Dependency: python-keystone = 2012.1-1.fc17 for package: openstack-keystone-2012.1-1.fc17.noarch
---> Package openstack-nova.noarch 0:2012.1-5.fc17 will be installed
--> Processing Dependency: python-nova = 2012.1-5.fc17 for package: openstack-nova-2012.1-5.fc17.noarch
---> Package openstack-utils.noarch 0:2012.1-1.fc17 will be installed
---> Package qpid-cpp-server.x86_64 0:0.14-1.fc17.2 will be obsoleted
---> Package qpid-cpp-server.x86_64 0:0.14-1.fc17.2 will be updated
---> Package qpid-cpp-server.x86_64 0:0.16-1.fc17.2 will be obsoleting
--> Processing Dependency: qpid-cpp-client = 0.16-1.fc17.2 for package: qpid-cpp-server-0.16-1.fc17.2.x86_64
--> Running transaction check
---> Package openstack-keystone.noarch 0:2012.1-1.fc17 will be installed
--> Processing Dependency: python-keystone = 2012.1-1.fc17 for package: openstack-keystone-2012.1-1.fc17.noarch
---> Package openstack-nova.noarch 0:2012.1-5.fc17 will be installed
--> Processing Dependency: python-nova = 2012.1-5.fc17 for package: openstack-nova-2012.1-5.fc17.noarch
---> Package qpid-cpp-client.x86_64 0:0.14-1.fc17.2 will be updated
---> Package qpid-cpp-client.x86_64 0:0.16-1.fc17.2 will be an update
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package openstack-keystone.noarch 0:2012.1-1.fc17 will be installed
--> Processing Dependency: python-keystone = 2012.1-1.fc17 for package: openstack-keystone-2012.1-1.fc17.noarch
---> Package openstack-nova.noarch 0:2012.1-5.fc17 will be installed
--> Processing Dependency: python-nova = 2012.1-5.fc17 for package: openstack-nova-2012.1-5.fc17.noarch
---> Package qpid-cpp-server.x86_64 0:0.16-1.fc17.2 will be obsoleting
--> Finished Dependency Resolution
Error: Package: openstack-nova-2012.1-5.fc17.noarch (updates)
           Requires: python-nova = 2012.1-5.fc17
           Installed: python-nova-2012.1-9.fc17.noarch (@updates-testing)
               python-nova = 2012.1-9.fc17
           Available: python-nova-2012.1-2.fc17.noarch (fedora)
               python-nova = 2012.1-2.fc17
           Available: python-nova-2012.1-5.fc17.noarch (updates)
               python-nova = 2012.1-5.fc17
Error: Package: openstack-keystone-2012.1-1.fc17.noarch (fedora)
           Requires: python-keystone = 2012.1-1.fc17
           Installed: python-keystone-2012.1-4.fc17.noarch (@updates-testing)
               python-keystone = 2012.1-4.fc17
           Available: python-keystone-2012.1-1.fc17.noarch (fedora)
               python-keystone = 2012.1-1.fc17
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Jun 15 20:43:00 Installed: openstack-nova-2012.1-5.fc17.noarch
Jun 16 00:16:09 Updated: openstack-nova-2012.1-9.fc17.noarch
Jun 16 00:45:07 Erased: openstack-nova-2012.1-9.fc17.noarch
Jun 16 00:45:36 Installed: openstack-nova-2012.1-9.fc17.noarch
Jun 16 00:47:38 Erased: openstack-nova-2012.1-9.fc17.noarch

[root@notebook ~]# 

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pádraig Brady 2012-06-16 13:10:41 EDT
I think this may just be due to having installed certain packages from updates testing, but the above command is only looking at the updates repo, hence the conflict?

Could you rerun the yum command with the --enablerepo=updates-testing option.
Comment 2 Mohammed Arafa 2012-06-16 16:13:12 EDT
Installing:
 openstack-glance                             noarch                           2012.1-4.fc17                            fedora                                     48 k
 openstack-keystone                           noarch                           2012.1-4.fc17                            updates-testing                           152 k
 openstack-nova                               noarch                           2012.1-9.fc17                            updates-testing                            56 k
 openstack-utils                              noarch                           2012.1-1.fc17                            fedora                                     15 k
Updating for dependencies:
 qpid-cpp-client                              x86_64                           0.16-1.fc17.2                            updates                                   984 k

Transaction Summary
========================================================================================================================================================================
Install  4 Packages
Upgrade             ( 1 Dependent package)

Total size: 1.2 M
Total download size: 271 k
Downloading Packages:
(1/4): openstack-glance-2012.1-4.fc17.noarch.rpm                                                                                                 |  48 kB     00:00     
(2/4): openstack-keystone-2012.1-4.fc17.noarch.rpm                                                                                               | 152 kB     00:00     
(3/4): openstack-nova-2012.1-9.fc17.noarch.rpm                                                                                                   |  56 kB     00:00     
(4/4): openstack-utils-2012.1-1.fc17.noarch.rpm                                                                                                  |  15 kB     00:00     
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                    88 kB/s | 271 kB     00:03     
Running Transaction Check
ERROR with transaction check vs depsolve:
qpid-cpp-client = 0.14-1.fc17.2 is needed by (installed) qpid-cpp-server-0.14-1.fc17.2.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-06-16.16-12.DDHsKn.yumtx



###will uninstall anything from updatestesting (novnc and websockets) and see how that goes
Comment 3 Mohammed Arafa 2012-06-16 16:18:03 EDT
i went through all my python* rpms and erased them. the yum install works. dont you wish all bugs were this simple to fix?

Note You need to log in before you can comment on or make changes to this bug.